using ESpace.DALibrary.SqlServer;

namespace AVC.DataEntity
{
	public class ConductorEmployee : DataEntityBase
	{
		public ConductorEmployee()
		{
			base.InitMetaData();
		}

		private System.Int32 _ID;
		public System.Int32 ID
		{
			get
			{
				return this._ID;
			}
			set
			{
				this._ID = value;
				IsChanged = true;
			}
		}

		private System.String _IDCard;
		public System.String IDCard
		{
			get
			{
				return this._IDCard;
			}
			set
			{
				this._IDCard = value;
				IsChanged = true;
			}
		}

		private System.String _Name;
		public System.String Name
		{
			get
			{
				return this._Name;
			}
			set
			{
				this._Name = value;
				IsChanged = true;
			}
		}

		private System.Boolean _Sex;
		public System.Boolean Sex
		{
			get
			{
				return this._Sex;
			}
			set
			{
				this._Sex = value;
				IsChanged = true;
			}
		}

		private System.String _Phone;
		public System.String Phone
		{
			get
			{
				return this._Phone;
			}
			set
			{
				this._Phone = value;
				IsChanged = true;
			}
		}

		private System.String _Landscape;
		public System.String Landscape
		{
			get
			{
				return this._Landscape;
			}
			set
			{
				this._Landscape = value;
				IsChanged = true;
			}
		}

		private System.String _Address;
		public System.String Address
		{
			get
			{
				return this._Address;
			}
			set
			{
				this._Address = value;
				IsChanged = true;
			}
		}

		private System.DateTime _BirthDay;
		public System.DateTime BirthDay
		{
			get
			{
				return this._BirthDay;
			}
			set
			{
				this._BirthDay = value;
				IsChanged = true;
			}
		}

		private System.Byte[] _Photo;
		public System.Byte[] Photo
		{
			get
			{
				return this._Photo;
			}
			set
			{
				this._Photo = value;
				IsChanged = true;
			}
		}

		private System.String _ServiceUnit;
		public System.String ServiceUnit
		{
			get
			{
				return this._ServiceUnit;
			}
			set
			{
				this._ServiceUnit = value;
				IsChanged = true;
			}
		}

		private System.String _Education;
		public System.String Education
		{
			get
			{
				return this._Education;
			}
			set
			{
				this._Education = value;
				IsChanged = true;
			}
		}

		private System.String _ServiceCardNO;
		public System.String ServiceCardNO
		{
			get
			{
				return this._ServiceCardNO;
			}
			set
			{
				this._ServiceCardNO = value;
				IsChanged = true;
			}
		}

		private System.DateTime _ServiceCardNOFromDate;
		public System.DateTime ServiceCardNOFromDate
		{
			get
			{
				return this._ServiceCardNOFromDate;
			}
			set
			{
				this._ServiceCardNOFromDate = value;
				IsChanged = true;
			}
		}

		private System.DateTime _ServiceCardNOToDate;
		public System.DateTime ServiceCardNOToDate
		{
			get
			{
				return this._ServiceCardNOToDate;
			}
			set
			{
				this._ServiceCardNOToDate = value;
				IsChanged = true;
			}
		}

		private System.Int32 _BusID;
		public System.Int32 BusID
		{
			get
			{
				return this._BusID;
			}
			set
			{
				this._BusID = value;
				IsChanged = true;
			}
		}

		private System.String _CreateUser;
		public System.String CreateUser
		{
			get
			{
				return this._CreateUser;
			}
			set
			{
				this._CreateUser = value;
				IsChanged = true;
			}
		}

		private System.String _UpdateUser;
		public System.String UpdateUser
		{
			get
			{
				return this._UpdateUser;
			}
			set
			{
				this._UpdateUser = value;
				IsChanged = true;
			}
		}

		private System.DateTime _UpdateDateTime;
		public System.DateTime UpdateDateTime
		{
			get
			{
				return this._UpdateDateTime;
			}
			set
			{
				this._UpdateDateTime = value;
				IsChanged = true;
			}
		}

		private System.Int16 _Flag;
		public System.Int16 Flag
		{
			get
			{
				return this._Flag;
			}
			set
			{
				this._Flag = value;
				IsChanged = true;
			}
		}

		private System.DateTime _FlagDateTime;
		public System.DateTime FlagDateTime
		{
			get
			{
				return this._FlagDateTime;
			}
			set
			{
				this._FlagDateTime = value;
				IsChanged = true;
			}
		}
	}
}